Bug 493001 - Review Request: imgtarget - ImgTarget is a front-end to functionality provided by ArgyllCMS
Summary: Review Request: imgtarget - ImgTarget is a front-end to functionality provide...
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Mamoru TASAKA
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-03-31 08:24 UTC by Zarko (grof)
Modified: 2009-05-19 02:10 UTC (History)
3 users (show)

Fixed In Version: 0.1.4-3.fc9
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-05-18 12:02:16 UTC
Type: ---
mtasaka: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)
Patch to compile with g++44 (1.13 KB, patch)
2009-05-09 17:58 UTC, Mamoru TASAKA
no flags Details | Diff
gdb log when imgtarget hangs up (14.55 KB, text/plain)
2009-05-11 17:33 UTC, Mamoru TASAKA
no flags Details

Description Zarko (grof) 2009-03-31 08:24:31 UTC
Spec URL: http://wiki.open.hr/~zpintar/fedora10/SPECS/imgtarget.spec
SRPM URL: http://wiki.open.hr/~zpintar/fedora10/SRPMS/imgtarget-0.1.4-1.fc10.src.rpm
Description:
ImgTarget wraps the details of performing this task in a graphical 
user interface, and displays the original image, the image converted 
to a specific profile the traditional way, and the results of 
applying the devicelink profile - all side-by-side for convenient 
comparison.  It can also export the converted image data, with the 
target profile embedded, in either TIFF or JPEG format. 

This is my fourth package and I still do not have a sponsor.
Is this process always so slow or I miss something?

BTW, I prepared packages for MLT and Kdenlive, but these packages must go to Rpm Fusion repository (using of ffmpeg and other staff from rpm fusion repo).
For placing these packages on rpm fusion I must have sponsorship here, so please, do something.

kind regards,
Zarko

Comment 1 Zarko (grof) 2009-04-08 06:08:39 UTC
bump!

Comment 2 Mamoru TASAKA 2009-04-15 18:10:34 UTC
(Removing NEEDSPONSOR)

Comment 3 Zarko (grof) 2009-04-21 08:47:50 UTC
Please, wait with this until I'll resolve GCC4.4 issue and other spec cleaning.

Comment 4 Mamoru TASAKA 2009-05-09 17:58:39 UTC
Created attachment 343228 [details]
Patch to compile with g++44

ping? Anyway:

- Patch to compile with g++44 is attached
- After this patch, build.log says:
--------------------------------------------------
checking for pnm_readpaminit in -lpnm... no
checking for pnm_readpaminit in -lnetpbm... no
--------------------------------------------------
  Perhaps BR: netpbm-devel should be added
- Please update GTK cache updating scriptlets
- BR: glib2-devel is redundant as gtk2-devel requires
  this

Comment 5 Zarko (grof) 2009-05-09 20:25:41 UTC
Ok, Ok... :)

Sorry on my delay...

two reasons:
1) My kids and I got sick
2) Much works on MLT and KDenlive at RPM fusion

Comment 6 Zarko (grof) 2009-05-11 08:50:04 UTC
New spec and src:
Spec URL: http://wiki.open.hr/~zpintar/fedora10/SPECS/imgtarget.spec
SRPM URL:
http://wiki.open.hr/~zpintar/fedora10/SRPMS/imgtarget-0.1.4-2.fc11.src.rpm

Here is the Koji out:

http://koji.fedoraproject.org/koji/taskinfo?taskID=1347218

After adding BR: netpbm-devel, I got this in build.log:
--------------------------------------------------
checking for pnm_readpaminit in -lpnm... no
checking for pnm_readpaminit in -lnetpbm... yes
--------------------------------------------------

Is that OK?

Comment 7 Mamoru TASAKA 2009-05-11 09:17:50 UTC
Assigning. Will do full review later.

(In reply to comment #6)
> After adding BR: netpbm-devel, I got this in build.log:
> --------------------------------------------------
> checking for pnm_readpaminit in -lpnm... no
> checking for pnm_readpaminit in -lnetpbm... yes
> --------------------------------------------------
> 
> Is that OK?  
- This is okay

Comment 8 Mamoru TASAKA 2009-05-11 17:33:32 UTC
Created attachment 343484 [details]
gdb log when imgtarget hangs up

For 0.1.4-2

* repeating name in Summary
  - Fedora now considers that repeating software's name in
    Summary (for this srpm "ImgTarget is a") is just redundant.

* License
  - For this package the license tag should be
    "GPLv2+".

* Timestamps
  - Please use
---------------------------------------------------------------------
make install DESTDIR=$RPM_BUILD_ROOT INSTALL="install -p"
---------------------------------------------------------------------
    to keep timestamps on installed files.
    This method usually works for Makefiles generated by
    recent autotools.

* Hang up
  - Well, on F-11, when
    * Using GNOME desktop environment
    * "Assistive support" is enabled
    * launch imgtarget
    * choose "Edit -> Preferences"
    Then imgtarget hangs up. gdb log is attached.
    Currently I have no idea how to fix this :/

Comment 9 Zarko (grof) 2009-05-11 21:08:44 UTC
(In reply to comment #8)
> 
> * Hang up
>   - Well, on F-11, when
>     * Using GNOME desktop environment
>     * "Assistive support" is enabled
>     * launch imgtarget
>     * choose "Edit -> Preferences"
>     Then imgtarget hangs up. gdb log is attached.
>     Currently I have no idea how to fix this :/  

Hmm, not good....

I'll report this issue (and your logfile) to upstream, so we can wait for author's reply.

Until that, I'll resolve other things in your review...

Comment 10 Zarko (grof) 2009-05-13 06:06:14 UTC
Here is the new revision:
http://wiki.open.hr/~zpintar/fedora10/SPECS/imgtarget.spec
http://wiki.open.hr/~zpintar/fedora10/SRPMS/imgtarget-0.1.4-3.fc11.src.rpm

Koji build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=1351881

Author made some workaround for avoid crashing via dialogs.patch, so please can you test them.

I do not have F11 with GNOME installed.

Of course, I accepted your other review comments.

Comment 11 Mamoru TASAKA 2009-05-13 16:00:29 UTC
Yeah, the applied patch seems to work.

----------------------------------------------------
  This package (imgtarget) is APPROVED by mtasaka
----------------------------------------------------

Comment 12 Zarko (grof) 2009-05-13 19:49:39 UTC
New Package CVS Request
=======================
Package Name: imgtarget
Short Description: Front-end to functionality provided by ArgyllCMS
Owners: grof
Branches: F-9 F-10 F-11
InitialCC: grof

Comment 13 Kevin Fenzi 2009-05-15 23:40:56 UTC
cvs done.

Comment 14 Fedora Update System 2009-05-18 11:38:09 UTC
imgtarget-0.1.4-3.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/imgtarget-0.1.4-3.fc10

Comment 15 Fedora Update System 2009-05-18 11:38:15 UTC
imgtarget-0.1.4-3.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/imgtarget-0.1.4-3.fc11

Comment 16 Fedora Update System 2009-05-19 01:58:24 UTC
imgtarget-0.1.4-3.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 17 Fedora Update System 2009-05-19 02:09:25 UTC
imgtarget-0.1.4-3.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 18 Fedora Update System 2009-05-19 02:10:45 UTC
imgtarget-0.1.4-3.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.